> ## Documentation Index
> Fetch the complete documentation index at: https://atlas-a61958e8.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Upsert Visitor

> Visitor is a temporary customer that is created when a user is not logged in.



## OpenAPI

````yaml https://zeus-api.atlas.so/openapi.json post /v1/visitor/upsert
openapi: 3.1.0
info:
  title: Zeus public API
  description: Zeus public API Documentation
  version: '1'
servers:
  - url: https://zeus-api.atlas.so
    description: Zeus public API
security: []
paths:
  /v1/visitor/upsert:
    post:
      tags:
        - Customer
      summary: Upsert Visitor
      description: >-
        Visitor is a temporary customer that is created when a user is not
        logged in.
      operationId: upsert_visitor_v1_visitor_upsert_post
      requestBody:
        content:
          application/json:
            schema:
              anyOf:
                - $ref: '#/components/schemas/Visitor'
                - type: 'null'
              title: Request
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/Visitor'
                  - type: 'null'
                title: Response Upsert Visitor V1 Visitor Upsert Post
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer401: []
components:
  schemas:
    Visitor:
      properties:
        id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Id
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
        firstName:
          anyOf:
            - type: string
            - type: 'null'
          title: Firstname
        lastName:
          anyOf:
            - type: string
            - type: 'null'
          title: Lastname
        phoneNumber:
          anyOf:
            - type: string
            - type: 'null'
          title: Phonenumber
      type: object
      title: Visitor
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer401:
      type: http
      scheme: bearer

````